<?php

/**
 * 前台 404 模块 Controller
 * ============================================================================
 * ZhunaCMS 住哪网酒店分销联盟程序php版　BY Tmac PHP MVC framework
 * $Author: zhangwentao $  <zwttmac@qq.com>
 * $Id: error.php 19 2011-11-22 11:00:06Z zhangwentao $
 * http://un.zhuna.cn；
 */
class errorAction extends Action
{

    private $common_model;

    /**
     * _init 方法 在执行任何Action前执行
     */
    public function _init()
    {
        $this->assign('action', $_GET['TMAC_ACTION']);        
        $this->common_model = Tmac::model('common');

        //footer里的相关设置
        $config_footer = $this->common_model->footer();
        $this->assign($config_footer);
    }

    /**
     * 资讯类别管理 首页
     */
    public function index()
    {
        $this->V('404');
    }

}